<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>ECOPAL</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="../general.css" type=text/css rel=stylesheet>
</head>
<BODY  onLoad="self.focus()">
<?php

include "../conexion.php";
$id=$_REQUEST["id"];   		
$nombre=$_REQUEST["nombre"];  
$estado=$_REQUEST["estado"];
$descripcion=$_REQUEST["descripcion"];
$preciounitario=$_REQUEST["preciounitario"];
$precioventa=$_REQUEST["precioventa"];
$productofamilia=$_REQUEST["productofamilia"];
$marca=$_REQUEST["marca"];		
$iva=$_REQUEST["iva"];  
$codigobarra=$_REQUEST["codigobarra"];  
$ubicacion=$_REQUEST["ubicacion"];  

if($estado<>""){$sqlestado="where estado='".$estado."'";}else {$sqlestado="";}
if($id<>""){$sqlid="and id='".$id."'";}else {$sqlid="";}
if($nombre<>""){$sqlnombre="and nombre like '%".$nombre."%'";}else {$sqlnombre="";}
if($descripcion<>""){$sqldescripcion="and descripcion like '%".$descripcion."%'";}else {$sqldescripcion="";}
if($preciounitario<>""){$sqlpreciounitario="and preciounitario='".$preciounitario."'";}else {$sqlpreciounitario="";}
if($precioventa<>""){$sqlprecioventa="and precioventa='".$precioventa."'";}else {$sqlprecioventa="";}
if($productofamilia>0){$sqlproductofamilia="and productofamilia='".$productofamilia."'";}else {$sqlproductofamilia="";}
if($marca>0){$sqlmarca="and marca='".$marca."'";}else {$sqlmarca="";}
if($iva<>""){$sqliva="and iva='".$iva."'";}else {$sqliva="";}
if($codigobarra<>""){$sqlcodigobarra="and codigobarra like '%".$codigobarra."%'";}else {$sqlcodigobarra="";}
if($ubicacion>0){$sqlubicacion="and ubicacion=".$ubicacion."";}else {$sqlubicacion="";}


	echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0'>";
	echo "<tr class='texto' bgcolor='#1C2023'>";
	echo "<td ><center><font color='#FFFFFF'>Codigo</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Nombre</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Descripcion</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Precio Unitario</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Precio Venta</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Producto Familia</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Marca</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Iva</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Codigo Barra</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Estado</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Ubicacion</font></center></td>";
	echo "</tr>";	
	$sql_datosre=mssql_query("SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,
							marca,iva,codigobarra,estado,ubicacion
							  from producto 
							  $sqlestado
							  $sqlid
							  $sqlnombre
							  $sqldescripcion
							  $sqlpreciounitario
							  $sqlprecioventa
							  $sqlproductofamilia
							  $sqlmarca
							  $sqliva
							  $sqlcodigobarra
							  $sqlubicacion
							   order by id asc",$conexion);
							   							  
	$c=1; 
	while($datos= mssql_fetch_row($sql_datosre))//01
		{   
		   $rsid=$datos[0];
		   $rsnombre=$datos[1];
		   $rsdescripcion=$datos[2];
		   $rspreciounitario=$datos[3];
		   $rsprecioventa=$datos[4];
		   $rsproductofamilia=$datos[5];
		   $rsmarca=$datos[6];
		   $rsiva=$datos[7];
		   $rscodigobarra=$datos[8];
		   $rsestado=$datos[9];
		   $rsubicacion=$datos[10];
		   if($rsestado=='A'){$nestado="Activo";}
		   if($rsestado=='I'){$nestado="Inactivo";}
		   
		   $rs_producto_familia=mssql_query("SELECT id,nombre FROM Producto_familia where id='".$rsproductofamilia."'",$conexion);
		   $nfamilia=mssql_result($rs_producto_familia, 0, "nombre");		  
		   $rs_marca=mssql_query("SELECT id,nombre FROM marca where id='".$rsmarca."'",$conexion);
		   $nmarca=mssql_result($rs_marca, 0, "nombre");
		   $rs_ubicacion=mssql_query("SELECT id,nombre FROM ubicacion where id='".$rsubicacion."'",$conexion);
		   $nubicacion=mssql_result($rs_ubicacion, 0, "nombre");
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr class='texto' bgcolor=$color>";
					  echo "<td>$rsid</td>";
					 echo "<td>".$rsnombre."</td>";
					 echo "<td>".$rsdescripcion."</td>";
					 echo "<td>".$rspreciounitario."</td>";
					 echo "<td>".$rsprecioventa."</td>";
					 echo "<td>".$nfamilia."</td>";
					 echo "<td>".$nmarca."</td>";
					 echo "<td>".$rsiva."</td>";
					 echo "<td>".$rscodigobarra."</td>";
					 echo "<td>".$nestado."</td>";
					 echo "<td>".$nubicacion."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table></center>"; 

?>
<form name="reporte" method="post" action="" >
  <div align="center">
    <input name='cerrar' type='button'  id='rep' value='Cerrar'   class="botones" onClick="window.close();" >
    <input name='rep' type='button'  id='rep2' value='Genera Excel'   class="botones" title="Clic para ver reporte"
						  onClick="javascript:window.open('reporte_excel.php?noreporte=2&id=<?php echo $id;?>&precioventa=<?php echo $precioventa;?>&preciounitario=<?php echo $preciounitario;?>&codigobarra=<?php echo $codigobarra;?>&estado=<?php echo $estado;?>&productofamilia=<?php echo $productofamilia;?>&marca=<?php echo $marca;?>&iva=<?php echo $iva;?>&nombre=<?php echo $nombre;?>&descripcion=<?php echo $descripcion;?>&ubicacion=<?php echo $ubicacion;?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
  </div>
</form>
</body>
</html>